/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ICheckpointService, IContext } from "@fluidframework/server-services-core";
import { ICheckpointParams, IDeliCheckpointManager } from "./checkpointManager";
export declare class CheckpointContext {
    private readonly tenantId;
    private readonly id;
    private readonly checkpointManager;
    private readonly context;
    private readonly checkpointService;
    private pendingUpdateP;
    private pendingCheckpoint;
    private closed;
    private lastKafkaCheckpointOffset;
    constructor(tenantId: string, id: string, checkpointManager: IDeliCheckpointManager, context: IContext, checkpointService: ICheckpointService);
    /**
     * Checkpoints to the database & kafka
     * Note: This is an async method, but you should not await this
     */
    checkpoint(checkpoint: ICheckpointParams, restartOnCheckpointFailure?: boolean, globalCheckpointOnly?: boolean): Promise<void>;
    close(): void;
    private checkpointCore;
}
//# sourceMappingURL=checkpointContext.d.ts.map