"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.MoiraLambdaFactory = void 0;
const events_1 = require("events");
const lambda_1 = require("./lambda");
class MoiraLambdaFactory extends events_1.EventEmitter {
    constructor(mongoManager, serviceConfiguration) {
        super();
        this.mongoManager = mongoManager;
        this.serviceConfiguration = serviceConfiguration;
    }
    async create(config, context) {
        // Takes in the io as well as the collection. I can probably keep the same lambda but only ever give it stuff
        // from a single document
        return new lambda_1.MoiraLambda(context, this.serviceConfiguration, config.tenantId, config.documentId);
    }
    async dispose() {
        await this.mongoManager.close();
    }
}
exports.MoiraLambdaFactory = MoiraLambdaFactory;
//# sourceMappingURL=lambdaFactory.js.map