"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.PendingMessageReader = void 0;
const server_services_telemetry_1 = require("@fluidframework/server-services-telemetry");
class PendingMessageReader {
    constructor(tenantId, documentId, deltaService) {
        this.tenantId = tenantId;
        this.documentId = documentId;
        this.deltaService = deltaService;
    }
    async readMessages(from, to) {
        server_services_telemetry_1.Lumberjack.info(`Fetching pending messages from ${from} to ${to}`, (0, server_services_telemetry_1.getLumberBaseProperties)(this.documentId, this.tenantId));
        const deltasP = this.deltaService.getDeltas("", this.tenantId, this.documentId, from - 1, to + 1);
        return deltasP;
    }
}
exports.PendingMessageReader = PendingMessageReader;
//# sourceMappingURL=pendingMessageReader.js.map