/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IGitManager } from "@fluidframework/server-services-client";
import { ILatestSummaryState, ISummaryReader } from "./interfaces";
/**
 * Git specific implementation of ISummaryReader
 */
export declare class SummaryReader implements ISummaryReader {
    private readonly tenantId;
    private readonly documentId;
    private readonly summaryStorage;
    private readonly enableWholeSummaryUpload;
    private readonly maxRetriesOnError;
    private readonly lumberProperties;
    constructor(tenantId: string, documentId: string, summaryStorage: IGitManager, enableWholeSummaryUpload: boolean, maxRetriesOnError?: number);
    /**
     * Reads the most recent version of summary for a document. In case the storage is having trouble processing the
     * request, returns a set of defaults with fromSummary flag set to false.
     */
    readLastSummary(): Promise<ILatestSummaryState>;
    private getDefaultSummaryState;
    private getDefaultAttributes;
    private getDefaultScribe;
    private getDefaultDeli;
    private getDefaultMesages;
}
//# sourceMappingURL=summaryReader.d.ts.map