"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRoomLeaveMessage = exports.createRoomJoinMessage = exports.createNackMessage = void 0;
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
const protocol_definitions_1 = require("@fluidframework/protocol-definitions");
const createNackMessage = (code, type, message, retryAfterInSec) => ({
    operation: undefined,
    sequenceNumber: -1,
    content: {
        code,
        type,
        message,
        retryAfter: retryAfterInSec,
    },
});
exports.createNackMessage = createNackMessage;
function createRoomJoinMessage(clientId, client) {
    const joinContent = {
        clientId,
        client,
    };
    return {
        clientId: null,
        content: JSON.stringify({
            type: protocol_definitions_1.MessageType.ClientJoin,
            content: joinContent,
        }),
    };
}
exports.createRoomJoinMessage = createRoomJoinMessage;
const createRoomLeaveMessage = (clientId) => ({
    clientId: null,
    content: JSON.stringify({
        type: protocol_definitions_1.MessageType.ClientLeave,
        content: clientId,
    }),
});
exports.createRoomLeaveMessage = createRoomLeaveMessage;
//# sourceMappingURL=messageGenerator.js.map